\ifdefined\archive % Needed to validate the PDF on FACILE (https://facile.cines.fr/)
\pdfobjcompresslevel 0
\fi
\documentclass[headinclude, a4paper]{scrreprt}
\usepackage{classicthesis}
\usepackage[T1]{fontenc}
\usepackage[french]{babel}
% \usepackage{cite}
% \usepackage{amsmath,amssymb,amsfonts}
\usepackage{graphicx}
% \usepackage{textcomp}
% \usepackage[table]{xcolor}
\usepackage[binary-units = true]{siunitx}
\usepackage{subfig}
\usepackage[linesnumbered, french]{algorithm2e}
\usepackage{url}
\usepackage{caption}
\usepackage{bytefield}
\usepackage{longtable}
% \usepackage{pgfplots}
% \usepackage{color}
% \usepackage{diagbox}
% \usepackage{enumerate}
% \usepackage{paralist}
% \usepackage{xfrac}
\graphicspath{{figs/PDF/}}
\usepackage[backend = bibtex]{biblatex}
\usepackage{sidenotes}
\usepackage{diagbox}
\usepackage{xcolor}
\usepackage{colortbl}
\usepackage{multicol}


\addbibresource{thesis.bib}

\definecolor{blue_grey}{RGB}{96, 125, 139}
\definecolor{blue_grey_200}{RGB}{176, 190, 197}
\definecolor{nativebg}{HTML}{202020}
\definecolor{lightgray}{gray}{0.8}
\definecolor{material_green}{RGB}{76, 175, 80}

% To use caption and span code on multiple pages we need to do define a new
% environment.
% See https://tex.stackexchange.com/a/53540 for details.
\newenvironment{code}{\captionsetup{type=listing}}{}

% Set this command to bib label of Linux kernel code.
\newcommand{\biblinux}{noauthor_linux_2018}

% Use this command to quickly cite from Linux kernel code.
% @param #1 The file from Linux kernel code you want to cite.
% @param #2 The eaxct line from the above file.
\newcommand{\citelinux}[2]{\cite[fichier \texttt{#1}, ligne #2]{\biblinux}}

% This command draws a phi with an indice and two parameters.
% @param #1 The indice of varphi, it represents the phase number.
% @param #2 The first parameter, it represents container A's load.
% @param #2 The second parameter, it represents container B's load.
\newcommand{\step}[3]{$\varphi_{#1}(#2, #3)$}

% This command draws a phi with an indice.
% This a lower version of \step.
% @param #1 The indice of varphi, it represents the phase number.
\newcommand{\stepeight}[1]{$\varphi_#1$}

% This command draws TODO in Huge followed by the thing to do.
% @param #1 The thing to do.
\newcommand{\todo}[1]{{\Huge TODO :} #1}

% MemOpLight is not a known word since this is not even a word.
% We need to set its hyphenation.
% Thanks to Marc for this advice.
\hyphenation{Mem-Op-Light}

\begin{document}
	\input{content/cover.tex}
	\input{content/thanks.tex}
	\input{content/abstract.tex}
	\input{content/abstract_en.tex}

	\tableofcontents

	\listoffigures

	\listofalgorithms

	\listoftables

	\input{content/introduction.tex}
	\input{content/state_of_the_art.tex}
	\input{content/memory.tex}
	\input{content/containers_flaw.tex}
	\input{content/memoplight.tex}
	\input{content/memoplight_evaluation.tex}
	\input{content/conclusion.tex}

	\printbibliography

	Certaines figures de cette thèse utilisent des icônes provenant des auteurs suivants :
	\begin{itemize}
		\item \href{https://www.flaticon.com/authors/smashicons}{Smashicons} de \href{https://www.flaticon.com/}{Flaticon}
		\item \href{https://www.flaticon.com/authors/nikita-golubev}{Nikita Golubev} de \href{https://www.flaticon.com/}{Flaticon}
		\item \href{https://www.flaticon.com/authors/freepik}{Freepik} de \href{https://www.flaticon.com/}{Flaticon}
	\end{itemize}
\end{document}